Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_DNode< T > Class Template Reference

Implementation element in a bilinked list. More...

`#include <Containers_T.h>`

Collaboration diagram for ACE_DNode< T >:

[legend]
List of all members.

## Public Member Functions
| ~ACE_DNode (void)
| This isn't necessary, but it keeps some compilers happy.
## Private Member Functions
| ACE_DNode (const T &i, ACE_DNode< T > *n=0, ACE_DNode< T > *p=0)
## Private Attributes
ACE_DNode< T > * | next_
| Pointer to next element in the list of {ACE_DNode}s.
ACE_DNode< T > * | prev_
| Pointer to previous element in the list of {ACE_DNode}s.
T | item_
| Current value of the item in this node.
## Friends
class | ACE_Ordered_MultiSet<T>
class | ACE_Ordered_MultiSet_Iterator<T>

## Detailed Description

### template<class T>
class ACE_DNode< T >

Implementation element in a bilinked list.

## Constructor & Destructor Documentation

template<class T>
ACE_DNode< T >::~ACE_DNode | ( | void |  | ) |

| This isn't necessary, but it keeps some compilers happy.

template<class T>
ACE_DNode< T >::ACE_DNode | ( | const T & | i,
|  | ACE_DNode< T > * | n = `0`,
|  | ACE_DNode< T > * | p = `0`
| ) | `[private]`

## Friends And Related Function Documentation

template<class T>
friend class ACE_Ordered_MultiSet<T>`[friend]`

template<class T>
friend class ACE_Ordered_MultiSet_Iterator<T>`[friend]`

## Member Data Documentation

template<class T>
T ACE_DNode< T >::item_`[private]`

| Current value of the item in this node.

template<class T>
ACE_DNode<T>* ACE_DNode< T >::next_`[private]`

| Pointer to next element in the list of {ACE_DNode}s.

template<class T>
ACE_DNode<T>* ACE_DNode< T >::prev_`[private]`

| Pointer to previous element in the list of {ACE_DNode}s.

The documentation for this class was generated from the following files:

- Containers_T.h
- Containers_T.cpp